Name:		pcmanfm
Version:	0.5
Release:	%mkrel 2

Summary:	PCMan File Manager
License: 	GPLv2+
URL: 		http://pcmanfm.sourceforge.net/
Group: 		File tools
Source0:	http://ovh.dl.sourceforge.net/sourceforge/pcmanfm/%name-%version.tar.gz
Patch1:		pcmanfm.patch

BuildRequires:	libgamin-devel
BuildRequires:	gtk+2-devel >= 2.8
BuildRequires:	libcairo-devel startup-notification-devel
BuildRequires:	pkgconfig desktop-file-utils
BuildRequires:	hal-devel dbus-glib-devel
BuildRequires:	intltool
Requires:	gamin
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Suggests:	curlftpfs sshfs-fuse fusesmb
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PCMan File Manager is an extremly fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q
%patch1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

# menu

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="System;FileManager" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%update_mime_database
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_mime_database
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS TODO README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pcmanfm
%_datadir/mime/packages/libmimetype.xml
%_datadir/pixmaps/pcmanfm.png


%changelog

* Sat Oct 18 2008 Mario Blttermann <rpm@mandrivauser.de> 0.5-2mud2009.0
- Rebuild for 2009.0

* Fri Aug 15 2008 Mario Blttermann <rpm@mandrivauser.de> 0.5-1mud2008.1
- Rebuild for MUde
- add a complete german localization

* Wed Jul 16 2008 Funda Wang <fundawang@mandriva.org> 0.5-1mdv2009.0
+ Revision: 236513
- New version 0.5

* Wed Jul 16 2008 Funda Wang <fundawang@mandriva.org> 0.4.6.2-1mdv2009.0
+ Revision: 236228
- update to new version 0.4.6.2

* Tue Jul 15 2008 Funda Wang <fundawang@mandriva.org> 0.4.6.1-1mdv2009.0
+ Revision: 235851
- update to new version 0.4.6.1

* Sat Jun 28 2008 Funda Wang <fundawang@mandriva.org> 0.4.5-1mdv2009.0
+ Revision: 229724
- BR intltool
- New version 0.4.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 0.4.4.0-1mdv2009.0
+ Revision: 208577
- New version 0.4.4.0

* Sun May 11 2008 Funda Wang <fundawang@mandriva.org> 0.4.1.1-1mdv2009.0
+ Revision: 205507
- update to new version 0.4.1.1

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 0.4.0-1mdv2009.0
+ Revision: 200888
- New version 0.4.0

* Wed Mar 05 2008 Antoine Ginies <aginies@mandriva.com> 0.3.6.2-1mdv2008.1
+ Revision: 180113
- new release
- new release 3.6.2

* Tue Feb 26 2008 Funda Wang <fundawang@mandriva.org> 0.3.6.1-1mdv2008.1
+ Revision: 175409
- update to new version 0.3.6.1

* Mon Feb 18 2008 Funda Wang <fundawang@mandriva.org> 0.3.5.23-1mdv2008.1
+ Revision: 171541
- New version 0.3.5.23

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 0.3.5.7-1mdv2008.1
+ Revision: 161852
- New version 0.3.5.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>

